/**
 * generated by Xtext
 */
package org.eclipse.etrice.core.room;

import org.eclipse.etrice.core.common.base.Documentation;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Class</b></em>'.
 * <!-- end-user-doc -->
 *
 * <!-- begin-model-doc -->
 * <br>This class is the super class of all classes
 * of the ROOM class model:
 * <ul>
 *   <li>{@link DataType}</li>
 *   <li>{@link ProtocolClass}</li>
 *   <li>{@link StructureClass}</li>
 * </ul>
 * 
 * <!-- end-model-doc -->
 *
 * <p>
 * The following features are supported:
 * </p>
 * <ul>
 *   <li>{@link org.eclipse.etrice.core.room.RoomClass#getName <em>Name</em>}</li>
 *   <li>{@link org.eclipse.etrice.core.room.RoomClass#getDocu <em>Docu</em>}</li>
 * </ul>
 *
 * @see org.eclipse.etrice.core.room.RoomPackage#getRoomClass()
 * @model
 * @generated
 */
public interface RoomClass extends RoomElement
{
	/**
	 * Returns the value of the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * <!-- begin-model-doc -->
	 * <br>By this name the actor class is referred to in the model.
	 * 
	 * <!-- end-model-doc -->
	 * @return the value of the '<em>Name</em>' attribute.
	 * @see #setName(String)
	 * @see org.eclipse.etrice.core.room.RoomPackage#getRoomClass_Name()
	 * @model
	 * @generated
	 */
	String getName();

	/**
	 * Sets the value of the '{@link org.eclipse.etrice.core.room.RoomClass#getName <em>Name</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Name</em>' attribute.
	 * @see #getName()
	 * @generated
	 */
	void setName(String value);

	/**
	 * Returns the value of the '<em><b>Docu</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * <!-- begin-model-doc -->
	 * <br>This is an optional documentation.
	 * 
	 * <!-- end-model-doc -->
	 * @return the value of the '<em>Docu</em>' containment reference.
	 * @see #setDocu(Documentation)
	 * @see org.eclipse.etrice.core.room.RoomPackage#getRoomClass_Docu()
	 * @model containment="true"
	 * @generated
	 */
	Documentation getDocu();

	/**
	 * Sets the value of the '{@link org.eclipse.etrice.core.room.RoomClass#getDocu <em>Docu</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Docu</em>' containment reference.
	 * @see #getDocu()
	 * @generated
	 */
	void setDocu(Documentation value);

} // RoomClass
